build-essential软件包简介

build-essential 指的是编译程序必须的软件包。
查看该软件包的依赖关系,可以看到以下内容:

$ apt-cache depends build-essential
build-essential
|依赖: libc6-dev
依赖: libc6-dev
依赖: gcc
依赖: g++
依赖: make
make:i386
依赖: dpkg-dev
冲突: build-essential:i386
darkmi@ubuntu:/usr/local/httpd/bin$

也就是说,安装了该软件包,编译c/c++所需要的软件包也都会被安装。因此如果想在Ubuntu中编译c/c++程序,只需要安装该软件包就可以了。
安装方法如下:

$sudo apt-get install build-essential

此条目发表在lnmpa分类目录,贴了, , 标签。将固定链接加入收藏夹。

发表评论

您的电子邮箱地址不会被公开。

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据